Bug 14622 - Add fr-CA data folder in the web installer
Summary: Add fr-CA data folder in the web installer
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Francois Charbonnier
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17064 17469 17658 23256
  Show dependency treegraph
 
Reported: 2015-07-30 19:07 UTC by Francois Charbonnier
Modified: 2019-11-20 13:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14622 - New data in French Canadian for the web installer. Add "fr-CA" folder. (2.62 MB, patch)
2015-07-30 20:28 UTC, Francois Charbonnier
Details | Diff | Splinter Review
BZ14622 - follow up - missing userpermissions added (1.73 KB, patch)
2015-08-20 14:35 UTC, Francois Charbonnier
Details | Diff | Splinter Review
Bug 14622 - New data in French Canadian for the web installer. Add "fr-CA" folder. (995.33 KB, patch)
2016-02-25 22:04 UTC, Francois Charbonnier
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14622 - New data in French Canadian for the web installer. Add "fr-CA" folder. (995.47 KB, patch)
2016-04-28 12:11 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14622 - New data in French Canadian for the web installer. Add "fr-CA" folder. (995.51 KB, patch)
2016-04-28 13:51 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Francois Charbonnier 2015-07-30 19:07:29 UTC
New data in French Canadian for the web installer. It contains translations of every files from the English folder.

The marcflavour directory is a bit different. 
1. MARC21 is the only marc flavour translated.
2. marc21_framework_DEFAULT.sql contains :
- the default framework
- the acquisition framework
- the fast-add framework
- the RDA framework
3. In addition, there is a simplified framework in the optional folder.
Comment 1 Francois Charbonnier 2015-07-30 20:28:06 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-08-20 10:45:40 UTC
How did you generate this list?

Be care, userpermissions.sq is not up-to-date.

Why did you create fr-CA/obligatoire? (we have a fr-FR/1-Obligatoire).
Comment 3 Francois Charbonnier 2015-08-20 12:49:41 UTC
Hi Jonathan,

How did you generate this list?
- I checked what the english folder had

Be care, userpermissions.sq is not up-to-date.
- I will check this (but did this file change since 3.20.0?)

Why did you create fr-CA/obligatoire? (we have a fr-FR/1-Obligatoire).
- Because, when installing in fr-CA, the installer will not check in the fr-FR folder.
Comment 4 Jonathan Druart 2015-08-20 13:14:40 UTC
(In reply to Francois Charbonnier from comment #3)
> Hi Jonathan,
> 
> How did you generate this list?
> - I checked what the english folder had
> 
> Be care, userpermissions.sq is not up-to-date.
> - I will check this (but did this file change since 3.20.0?)

No, but 3.20 has delete_public_lists.

> Why did you create fr-CA/obligatoire? (we have a fr-FR/1-Obligatoire).
> - Because, when installing in fr-CA, the installer will not check in the
> fr-FR folder.

Yes of course, but why not fr-CA/1-Obligatoire?
I don't care, just want to know :)
Comment 5 Francois Charbonnier 2015-08-20 14:35:28 UTC Comment hidden (obsolete)
Comment 6 Francois Charbonnier 2015-08-20 14:49:14 UTC
I sent a new patch to fix the missing userpermission

About the 1-Obligatoire, I actually used some translation from fr-FR and updated others as well. 

Just so you know, not all files are translated in the fr-FR folder (for example,numberpattern.pl). Plus, I wanted the letters to be all formated the same way and there are "mandatory" authorised values that are not considered mandatory in the other folders. I wanted the fr-CA to be as close as the other folders (same stucure, same content, etc.)

The only differences are in the marc21 framework default sql.
Comment 7 Bernardo Gonzalez Kriegel 2015-10-26 18:02:32 UTC
Testing with fr-CA translation

When importing data into db:

userpermissions.sql
ERROR 1452 (23000) at line 1: Cannot add or update a child row: a foreign key constraint fails (`kohadev`.`permissions`, CONSTRAINT `permissions_ibfk_1` FOREIGN KEY (`module_bit`) REFERENCES `userflags` (`bit`) ON DELETE CASCADE ON UPDATE CASCADE)

sample_creator_data.sql
ERROR 1136 (21S01) at line 6: Column count doesn't match value count at row 1

this is fixed in Bug 15053, check the solution


sample_patrons.sql
ERROR 1054 (42S22) at line 1: Unknown column 'ethnicity' in 'field list'

I wrote an email to you about frameworks.
Comment 8 Francois Charbonnier 2016-02-25 22:04:37 UTC Comment hidden (obsolete)
Comment 9 Francois Charbonnier 2016-02-25 22:08:13 UTC
I fixed the issues reported by Bernado.
Changed a couple of things to fit master (remove stopwords.sql, etc.)
And reloaded everyting on a local master installation

Bernado, I followed your advices on the frameworks sql. Now, they are similar to the other frameworks.
Comment 10 Bernardo Gonzalez Kriegel 2016-04-28 12:11:11 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2016-04-28 13:51:56 UTC
Created attachment 50924 [details] [review]
Bug 14622 - New data in French Canadian for the web installer. Add "fr-CA" folder.

TEST PLAN :
 - install Koha
 - choose fr-CA as the installation language
 - check every options in the web installer
 - every file should load smoothly

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works well, no problem/warning loading all sample files.
No koha-qa errors

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2016-05-04 14:04:09 UTC
Pushed to master for Koha 16.05, thanks Francois!